﻿@page "/new"
@using Ares.Web.App.Wrappers
@using Ares.Web.Api.Models
@using System.Linq
@using System.Linq.Expressions
@inject IHttpClient Client

<h1>Neuer Termin</h1>
<table>
    <tr>
        <td>Abholtermin</td>
        <td>
            <input @bind="@appointmentModel.Appointment.Date" />
        </td>
    </tr>

    <tr>
        <td>Schaden</td>
        <td>
            <input @bind="@appointmentModel.Damage.DamageDescription" />
        </td>
    </tr>
    <tr>
        <td>Das AutoKennzeichen</td>
        <td>
            <input @bind="@appointmentModel.Car.KFZ" />
        </td>
    </tr>
    <tr>
        <td>AutoInhaber_in</td>
    </tr>
    <tr>
        <td>Vorname</td>
        <td><input @bind="@appointmentModel.CarOwner.Firstname"/> </td>
    </tr>
    <tr>
        <td>Nachname</td>
        <td><input @bind="@appointmentModel.CarOwner.Lastname"/> </td>
    </tr>
    <tr>
        <td>Straße</td>
        <td><input @bind="@appointmentModel.CarOwner.Street"/> </td>
    </tr>
    <tr>
        <td>Hausnummer</td>
        <td><input @bind="@appointmentModel.CarOwner.Number"/> </td>
    </tr>
    <tr>
        <td>PLZ</td>
        <td><input @bind="@appointmentModel.CarOwner.ZIP"/> </td>
    </tr>
    <tr>
        <td>Ort</td>
        <td><input @bind="@appointmentModel.CarOwner.City"/> </td>
    </tr>
    <tr>
        <td>Telefonnummer</td>
        <td><input @bind="@appointmentModel.CarOwner.PhoneNumber"/> </td>
    </tr>

</table>

<a href="/">
    <button @onclick="SaveAppointment">Speichern</button>
</a>


@code {

   private AppointmentModel appointmentModel = new AppointmentModel();

    public async Task SaveAppointment()
    {
        await Client.PostJsonAsync<AppointmentModel>("api/appoinments/save", appointmentModel);
    }

}